Bug 995754 - webadmin [Tree]: fix hardcoded non-i18n strings in tree context info messages
webadmin [Tree]: fix hardcoded non-i18n strings in tree context info messages
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Greg Sheremeta
: 995755 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2013-08-10 17:02 EDT by Greg Sheremeta
Modified: 2013-09-23 03:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-23 03:27:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18197 None None None Never
oVirt gerrit 18218 None None None Never

  None (edit)
Description Greg Sheremeta 2013-08-10 17:02:54 EDT
Description of problem:
In several model classes, there are hard-coded non-internationalized strings that are used to provide context help to the user.

In HostListModel.java
innerHostModel.getName().setInfo("Cannot edit Host's Name in this tree context"); //$NON-NLS-1$

At current count there are about 20 of these in uicommonweb.

How reproducible:

Steps to Reproduce:
1. Select a language other than English
2. Select an actual host in the tree.
3. Click edit.
4. You cannot edit the host, and the context help reason shown is in English.

Actual results:
The reason is in English.

Expected results:
These strings should be internationalized and not hardcoded. The reason should be in the user's selected language.

Additional info:
Comment 1 Greg Sheremeta 2013-08-10 17:09:25 EDT
Step to Reproduce #4 should say
4. You cannot edit the host *name*, and the context help reason shown is in English.
Comment 2 Einav Cohen 2013-08-10 17:30:17 EDT
*** Bug 995755 has been marked as a duplicate of this bug. ***
Comment 3 Einav Cohen 2013-08-10 17:33:56 EDT
according to the comment posted in http://gerrit.ovirt.org/#/c/17886/, setInfo is deprecated and should be replaced with "setChangeProhibitionReason" (thanks Derez). 
all occurrences of "setInfo" in uicommonweb should be replaced with "setChangeProhibitionReason", and while at it - be localized as well (i.e. extracted to UIConstants).
Comment 4 Greg Sheremeta 2013-08-15 17:49:26 EDT
Comment 5 Itamar Heim 2013-08-21 12:41:45 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 6 Itamar Heim 2013-09-23 03:27:16 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.